import request from "@/scripts/httpRequest";

// 检索页面数据列表
export const getSearchList = (query: any) => {
  return request({
    url: "/saas/api-s/es/search",
    method: "post",
    data: query
  });
};

// 以图搜图
export const findPersonByPic = (query: any) => {
  return request({
    url: "/data/api-v/dbperson/searchByPhoto",
    method: "post",
    data: query
  });
};

// 检索页面标签查询
export const getTagList = (query: any) => {
  return request({
    url: "/saas/api-s/es/tagList",
    method: "post",
    data: query
  });
};

// 检索页面任务列表查询
export const getTaskList = (query: any) => {
  return request({
    url: "/saas/api-s/es/aggTaskList",
    method: "post",
    data: query
  });
};

// 获取标签字典
// param:type

export const getAlarmLevel = (query: any) => {
  return request({
    url: '/saas/api-s/dictionary/findByType',
    method: "get",
    params: query
  })
}

// 
export const findPerson = (query: any) => {
  return request({
    url: "/saas/api-s/es/queryEsCompareData",
    method: "post",
    data: query
  });
};
// 加入底库
export const addToBase = (query: any) => {
  return request({
    url: "/data/api-v/dbperson/joinDbTable",
    method: "post",
    data: query
  });
};

// 获取配置
export const config = () => {
  return request({
    url: "/saas/api-s/es/config",
    method: "get",
  });
};

// 保存配置
export const saveEsConfig = (query: any) => {
  return request({
    url: " /saas/api-s/es/saveEsConfig",
    method: "post",
    data: query
  });
};
